/*!
  @example iter.c
  Example of object iteration.
*/
#include <vars.h>

int
main(void)
{
    vhash *hash;
    viter iter;

    hash = vh_hash("INT",    V_TYPE_INT,    23,
                   "FLOAT",  V_TYPE_FLOAT,  4.12,
                   "STRING", V_TYPE_STRING, "foo",
                   NULL);

    v_iterate(hash, iter)
        printf("Entry %d: %s => %s\n",
               v_iter_count(iter),
               vh_iter_key(iter),
               vh_iter_sval(iter));

    return 0;
}
