/* Configuration tests */

#include "test.h"

#define SMALL 1.0e-8

int
main(void)
{
    double x, y, diff;
    int count;

    TEST_START("config");

    count = 0;
    for (x = -10.0; x <= 10.0; x += 1) {
        for (y = -10.0; y <= 10.0; y += 1) {
            if (V_ABS(y) > SMALL) {
                diff = drem(x, y) - v_drem(x, y);
                if (V_ABS(diff) > SMALL)
                    count++;
            }
        }
    }

    TEST("drem", count == 0);

    TEST_FINISH;
}
