/* Random number tests */

#include "test.h"
#include <errno.h>

#define NUM 1000

int
main(void)
{
    double val;
    int i, errs;

    TEST_START("random");

    for (errno = 0, errs = 0, i = 0; i < NUM; i++) {
        val = v_randprob();
        if (val < 0.0 || val > 1.0)
            errs++;
    }

    TEST("random errno", !errno);
    TEST("random probability", !errs);

    TEST_FINISH;
}
